| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::SdfFile Class Reference

Class for reading Swath defintion files. More...

Inheritance diagram for EECFI::SdfFile:

List of all members.

## Public Member Functions
| SdfFile ()
| Empty constructor.
| SdfFile (const string fileNam)
| Constructor with name.
| ~SdfFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
## Public Attributes
vector< SdfRec > | sdfRec
| Vector instrument swath definition structure.

## Detailed Description

Class for reading Swath defintion files.

## Constructor & Destructor Documentation

EECFI::SdfFile::SdfFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::SdfFile::SdfFile | ( | const string | fileNam | ) |

Constructor with name.

EECFI::SdfFile::~SdfFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader, and sdfRec.

## Member Function Documentation

void EECFI::SdfFile::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::AttitudeModel::angleModel, EECFI::AngleModel::angles, EECFI::HarmonicModel::angleType, EECFI::AttitudeModel::AOCS, EECFI::SdfRec::asar, EECFI::AttitudeModel::attitudeModel, EECFI::MatrixModel::attMatrix, EECFI::FileModel::auxFile, EECFI::AttitudeModel::fileModel, EECFI::EEFile::fileName, EECFI::FileModel::files, EECFI::SdfRec::frequency, EECFI::HarmonicData::harmonicCoeffPitch, EECFI::HarmonicData::harmonicCoeffRoll, EECFI::HarmonicData::harmonicCoeffYaw, EECFI::HarmonicModel::harmonicData, EECFI::AttitudeModel::harmonicModel, EECFI::HarmonicData::harmonicTypePitch, EECFI::HarmonicData::harmonicTypeRoll, EECFI::HarmonicData::harmonicTypeYaw, EECFI::SdfRec::instrAttitude, EECFI::AttitudeModel::matrixModel, EECFI::ParamModel::model, EECFI::ParamModel::modelParam, EECFI::SdfRec::numPoints, EECFI::SdfRec::numSwathRec, EECFI::MatrixModel::offsets, EECFI::AngleModel::offsets, EECFI::HarmonicModel::offsets, EECFI::AttitudeModel::paramModel, EECFI::SdfRec::refractionMode, EECFI::SdfRec::satAttitude, EECFI::SdfRec::satNomAttitude, sdfRec, EECFI::SdfRec::swathDescription, EECFI::SdfRec::swathGeom, EECFI::SdfRec::swathId, EECFI::SdfRec::swathRecType, EECFI::CfiClass::throwWarn, EECFI::FileModel::time0, EECFI::FileModel::time1, and EECFI::FileModel::timeRef.

## Member Data Documentation

vector<SdfRec> EECFI::SdfFile::sdfRec

Vector instrument swath definition structure.

Referenced by read(), and ~SdfFile().